LINUX.ORG.RU

Как в Debian 11 выпилить Firefox?

 ,


2

1

Пытаюсь из свежеустановленного Debian 11 выпилить предустановленный Firefox. Для этого ввожу команду

$ sudo apt purge firefox-esr
Чтение списков пакетов… Готово
Построение дерева зависимостей… Готово
Чтение информации о состоянии… Готово         
Будут установлены следующие дополнительные пакеты:
  chromium chromium-common chromium-sandbox libjsoncpp24 libminizip1 libre2-9
Предлагаемые пакеты:
  chromium-l10n chromium-shell chromium-driver
Следующие пакеты будут УДАЛЕНЫ:
  firefox-esr* firefox-esr-l10n-ru*
Следующие НОВЫЕ пакеты будут установлены:
  chromium chromium-common chromium-sandbox libjsoncpp24 libminizip1 libre2-9
Обновлено 0 пакетов, установлено 6 новых пакетов, для удаления отмечено 2 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 60,1 MB архивов.
После данной операции объём занятого дискового пространства уменьшится на 1 510 kB.
Как видите, он мне пытается при этом установить Chromium. Если я введу apt purge firefox chromium, то
Будут установлены следующие дополнительные пакеты:
  epiphany-browser epiphany-browser-data libdazzle-1.0-0
Следующие пакеты будут УДАЛЕНЫ:
  cinnamon-desktop-environment* firefox-esr* firefox-esr-l10n-ru*
  task-cinnamon-desktop*
Следующие НОВЫЕ пакеты будут установлены:
  epiphany-browser epiphany-browser-data libdazzle-1.0-0
Он мне на этот раз навязывает Epiphany. Так как же выпилить браузер, чтобы он мне при этом ничего не навязывал? В первый раз сталкиваюсь с таким поведением.

★★★★★

Там флаг же про recommends есть

no-install-recommends

fornlr ★★★★★ ()
Последнее исправление: fornlr (всего исправлений: 1)

aptitude why firefox-esr

Посмотрите на вывод aptitude why firefox-esr.

LeNiN ★★ ()
Ответ на: комментарий от Toxo2

Спасибо. До создания этой темы я пытался найти решение с помощью поиска на форуме, но, учитывая «информативное» название темы, а также набор тегов для нее, немудрено, что не нашел.

Rinaldus ★★★★★ ()
Ответ на: комментарий от Rinaldus

Не за что. Просто я ту тему помню по обсуждению, а искал конкретную ссылку на неё в гугле по запросу site:linux.org.ru chromium chromium-common

Toxo2 ★★ ()
Ответ на: комментарий от wandrien

Можно подумать, что у других дистрибутивов кривых нелогичных, на первый взгляд, зависимостей не бывает…

ololoid ★★★★ ()
Ответ на: комментарий от ololoid

Тут проблема в подходе. Бывают баги реализации, а тут баг концепции.

Я в последнее время на серверах чаще всего сталкиваюсь только с центосью, и то поверх нее всё в контейнерах, а дома гоняю арч. Так что стал забывать про такие подарки дебиана.

Впрочем, извиняюсь за флуд не по теме.

wandrien ()
Ответ на: комментарий от wandrien

Нет, это баг именно реализации, даже не реализации а контента: обязательная зависимость libreoffice справки от браузера, да ещё и криво прописанная (должна была быть зависимость от метапакета браузера, а не от явно прописанного их списка).

Ну и отсутствие вывода наглядного дерева зависимостей в apt при таких сложных расчётах.

firkax ★★ ()
Для того чтобы оставить комментарий войдите или зарегистрируйтесь.